using System;
using BeWo.Report;
using BeWo.Report.ReportObjects;

namespace DiakonieKKKleve
{
    public partial class Spitzabrechnung : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<Settlement2RO>
    {
        public Spitzabrechnung()
        {
            InitializeComponent();
        }

	    private void PageFooter_BeforePrint(object sender, System.Drawing.Printing.PrintEventArgs e)
	    {
		    e.Cancel = PrintingSystem.PageCount > 0;
	    }

        public void SetReportDataSource(Settlement2RO pRO)
        {
            bindingSource1.DataSource = pRO;
        }
    }
}
